Subject: bug#29822: tramp send "exec plink -l" to cmd in windows

From: Shuguang Sun <[email-masked]>
Date: Tue, 26 Dec 2017 00:21:34 +0800

Now it is fixed. Thank you very much for your time.

On Mon, Dec 25, 2017 at 7:29 PM, Michael Albinus <[email-masked]>
wrote:

> Shuguang Sun <[email-masked]> writes:
>
> > Hi,
>
> Hi Shuguang,
>
> > When I use 2017.12.09 version git emacs. Tramp works correctly: it
> > promotes to ask me the passwork.
> > When I use 2017.12.17 version (or after) git emacs, Tramp can't ask me
> > password and hangs at waiting for feedback from remote.
> >
> > I look into the trace and debug buffer, and found that it send command
> > "exec plink -l". However, "exec" is not an internal nor external
> > command in CMD in windows, and then stopped.
>
> Thanks for the bug report. Should be fixed now in the master
> branch. Could you, pls, check?
>
> > Best Regards,
> > Shuguang
>
> Best regards, Michael.
>